#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa564d5fb, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe22ec980, "geni_se_resources_off" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x31d9ce76, "geni_icc_disable" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0x393ef53e, "__dynamic_dev_dbg" },
	{ 0x7125ebfe, "_dev_err" },
	{ 0xbb106f16, "dma_unmap_page_attrs" },
	{ 0x4dae16e4, "i2c_put_dma_safe_msg_buf" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf787f766, "platform_driver_unregister" },
	{ 0x1dde9e89, "__pm_runtime_disable" },
	{ 0x8087e2fc, "__pm_runtime_set_status" },
	{ 0x45c91586, "pm_runtime_enable" },
	{ 0x42041512, "i2c_get_dma_safe_msg_buf" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x80bc5546, "dma_map_page_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1c7e05a0, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb06ec769, "geni_icc_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb3419bca, "geni_se_resources_on" },
	{ 0xf9452389, "i2c_del_adapter" },
	{ 0xcf07d8a8, "dma_release_channel" },
	{ 0x646823d0, "dev_pm_domain_detach_list" },
	{ 0x6036ba59, "rt_spin_lock" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x268d5fab, "rt_spin_unlock" },
	{ 0x8da58ff6, "geni_se_select_mode" },
	{ 0xd14f473c, "geni_se_tx_dma_prep" },
	{ 0x60946da3, "geni_se_tx_dma_unprep" },
	{ 0x99e34309, "geni_se_rx_dma_prep" },
	{ 0x3e8bd326, "geni_se_rx_dma_unprep" },
	{ 0xc66caba3, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x28c88359, "__pm_runtime_suspend" },
	{ 0x83547558, "devm_kmalloc" },
	{ 0x91df7f6c, "platform_get_resource" },
	{ 0x5c37d12e, "devm_ioremap_resource" },
	{ 0xaa63b3dd, "geni_se_is_fw_managed" },
	{ 0x91388ac7, "device_get_match_data" },
	{ 0x1fc5b555, "devm_clk_get" },
	{ 0xa77c394a, "device_property_read_u32_array" },
	{ 0x459fc96c, "is_acpi_device_node" },
	{ 0xc8edeb70, "platform_get_irq" },
	{ 0x91161ae7, "geni_se_domain_attach" },
	{ 0xb3a25ab1, "set_primary_fwnode" },
	{ 0x165d74e7, "geni_se_get_level" },
	{ 0xd63acbad, "geni_se_set_perf_level" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x535791c4, "rt_mutex_base_init" },
	{ 0xd9a87694, "devm_request_threaded_irq" },
	{ 0x1c5ca587, "pm_runtime_set_autosuspend_delay" },
	{ 0x38778685, "__pm_runtime_use_autosuspend" },
	{ 0x97df4b9a, "geni_icc_get" },
	{ 0x1de9926d, "geni_icc_set_bw" },
	{ 0x47592a86, "geni_se_init" },
	{ 0x1fefbb9c, "geni_se_config_packing" },
	{ 0x56a912a8, "__pm_runtime_idle" },
	{ 0x69e7c56b, "i2c_add_adapter" },
	{ 0x846fc8bc, "dma_request_chan" },
	{ 0xbaa92d50, "dev_err_probe" },
	{ 0x1ae40711, "_dev_info" },
	{ 0xb0cec3a7, "module_layout" },
};

MODULE_INFO(depends, "qcom-geni-se");

MODULE_ALIAS("of:N*T*Cqcom,geni-i2c");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2cC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hubC*");
MODULE_ALIAS("acpi*:QCOM0220:*");

MODULE_INFO(srcversion, "A82E3F0A33CDE6646F3E378");
MODULE_INFO(rhelversion, "9.6");
